:root {
  --color-1: 218 65 103;
  --color-2: 61 38 69;
  --color-3: 131 33 97;
  --color-4: 21 32 97;
  --color-em-underline-fg: rgba(255 0 0 / 30%);
  --color-exercise-bg: rgba(var(--color-3) / 20%);
  --color-extra-bg: rgba(var(--color-4) / 20%);
  --color-hyperlink: #4c74b9;
  --color-hyperlink-hover: #829dce;
  --color-numbering-fg: rgba(var(--color-2) / 80%);
  --color-table-bg: rgba(var(--color-2) / 20%);
  --color-table-fg: rgba(var(--color-1) / 80%);
  --font-size: 16pt;
  --line-height: 2;
}

@media (prefers-color-scheme: dark) {
  :root {
    --color-main-bg: #000;
    --color-text-primary: #eee;
  }
}

@media (prefers-color-scheme: light) {
  :root {
    --color-main-bg: #eee;
    --color-text-primary: #000;
  }
}

html {
  cursor: unset;
}

[hidden] {
  display: none !important;
}

body {
  background-color: var(--color-main-bg);
  color: var(--color-text-primary);
  display: flex;
  flex-wrap: wrap;
  height: 100%;
  line-height: var(--line-height);
  margin: 0 0;
  overflow-wrap: break-word;
  width: 100%;
  word-break: break-word;
}

#sidebar {
  bottom: 0;
  max-height: 100vh;
  max-width: 50ch;
  overflow-y: scroll;
  top: 0;
}

body main {
  border: rgba(var(--color-2) / 20%) 1px solid;
  height: 100vh;
  margin: 5px;
  max-width: 100ch;
  overflow-x: hidden;
  overflow-y: scroll;
  padding: 5px;
  width: max-content;
}

#content {
  height: 100vh;
  margin: 0 0;
  max-width: 100ch;
  overflow-y: scroll;
  width: min-content;
}

body ul.liststyletypenone {
  list-style-type: none;
}

body ol,
body ul,
body p {
  margin-block-end: 1rem;
  margin-block-start: 1rem;
}

body ol,
body ul {
  padding-inline-start: 40px;
}

body pre {
  counter-reset: line;
  margin: 0;
}

body pre,
body .extra {
  margin-block-end: 10px;
  margin-block-start: 10px;
}

body .extra {
  background-color: var(--color-extra-bg);
  max-width: fit-content;
  min-width: 100%;
  padding: 5px;
}

body .extra::after {
  bottom: 0;
  content: '🧐';
  font-size: 2rem;
  position: relative;
  right: 10px;
}

body em.term {
  text-decoration: solid var(--color-em-underline-fg) underline;
}

/* #region: Tables */

body table {
  background-color: var(--color-table-bg);
  border-collapse: collapse;
  margin: 1rem;
  table-layout: auto;
}

body table th,
body table td {
  padding: 0.4rem;
  padding-inline-end: 1rem;
  text-align: left;
  vertical-align: top;
}

body table th {
  text-overflow: ellipsis;
  white-space: nowrap;
  width: auto;
}

body table tr {
  border-bottom: 1px solid rgba(var(--color-1) / 40%);

  /* TODO: does not work well.
    break-inside: avoid-column; */
  text-align: left;
}

/* #endregion */

body table caption,
body figure figcaption {
  border-bottom: 1px solid currentColor;
  font-size: 0.8rem;
  font-style: oblique;
  margin-bottom: 1ch;
  text-align: start;
}

body .textalign_right {
  text-align: right;
}

body .textalign_center {
  text-align: center;
}

body .indexlocator {
  color: var(--color-numbering-fg);
  display: block;
}

body abbr {
  border-bottom: none;
  cursor: help;
  text-underline-offset: 10%;
}

/* #region: Hyperlinks */
body a,
body *::part(a) {
  color: var(--color-hyperlink);
  font-weight: normal;
  text-decoration: underline;
  text-decoration-color: #b3b8c4;
  text-decoration-line: underline;
  text-decoration-skip: none;
  text-decoration-skip-ink: none;
  text-decoration-thickness: from-font;
  text-underline-position: under;
}

body *::part(a):hover,
body a:hover {
  text-decoration-color: var(--color-hyperlink-hover) !important;
}
/* #endregion */

/* #region: Details toggle */

body details > summary {
  cursor: pointer;
  outline: none;
  width: 100%;
}

body details summary::-webkit-details-marker {
  display: none;
}

body details {
  /* TODO: Fix */
  /* stylelint-disable indentation -- Incompatibility between formatter and stylelint */
  background: linear-gradient(to right, rgba(115 119 172 / 15%) 3px, transparent 3px) 0 0,
    linear-gradient(to right, rgba(115 119 172 / 15%) 3px, transparent 3px) 0 100%,
    linear-gradient(to left, rgba(115 119 172 / 15%) 3px, transparent 3px) 100% 0,
    linear-gradient(to left, rgba(115 119 172 / 15%) 3px, transparent 3px) 100% 100%,
    linear-gradient(to bottom, rgba(115 119 172 / 15%) 3px, transparent 3px) 0 0,
    linear-gradient(to bottom, rgba(115 119 172 / 15%) 3px, transparent 3px) 100% 0,
    linear-gradient(to top, rgba(115 119, 172 / 15%) 3px, transparent 3px) 0 100%,
    linear-gradient(to top, rgba(115 119 172 / 15%) 3px, transparent 3px) 100% 100%;
  /* stylelint-enable indentation */
  background-repeat: no-repeat;
  background-size: 10px 10px;
  margin-block-start: 10px;
  overflow: scroll;
  padding: 3ch;
}

/* #endregion */

body h1,
body summary h2,
body summary h3,
body summary h4,
body summary h5,
body summary h6,
body .textalign_center {
  text-align: center;
}

body .columns {
  column-count: 2;
  column-width: auto;
  margin: 0 auto;
  overflow: scroll;
  width: 100%;
}

body .nowrap {
  white-space: nowrap;
}

body .columns#columns_groeiordes {
  column-width: 15rem;
}

body .columns#columns_verwaarlooskleineretermen {
  column-width: 16rem;
}

body .columns#columns_begrenzingen {
  column-width: 21rem;
}

body .columns#columns_verwaarloosconstanten {
  column-width: 20rem;
}

body .columns > * {
  margin: 0 auto;
  overflow: scroll;
  width: 100%;
}

body .bbox {
  border: 2px solid currentColor;
  padding: 3px;
}

body .instructor_only {
  background-color: rgba(207 172 16 / 20%);
}

body .instructor_only::after {
  bottom: 0;
  content: '🧑‍🏫';
  font-size: 2rem;
  position: relative;
  right: 10px;
}
